1. Smiley88's Avatar
    Installed the leaked version on my PC. Ran the Loader.exe and it does not detect OS7.1.

    Tried with Desktop Manager and went into Other Versions screen and found 7.1 there. When I try to install it says

    "This BlackBerry Device Software upgrade includes new features and significant enhancements to the BlackBerry solution and, as such, is only available to users with an active BlackBerry subscription. To learn more about BlackBerry service, please visit www.blackberry.com/service."

    I do not have data plan on the 9900. Is this the problem?
    Last edited by Smiley88; 11-29-11 at 09:26 PM.
    11-29-11 09:13 PM
  2. nah.uhh's Avatar
    No, its not a problem. you need to disconnect from the internet and change desktop manager options to not check for updates automatically. Most importantly delete *both*(if there is 2) vendor.xml files, one is in the loader.exe folder, I can't remember where the other is located.

    Forget about desktop manager altogether, delete the vendor files, turn the radio on yur bb off and use loader.exe for the os.

    Not everything I said is necessary, like turning off the internet, but you should have no issues doing your upgrade if you follow everystep.

    Edit:Tbh, I've never tried to put 7.1 on a phone that wasn't activated, but I upgrade os's straight out of the box all the time(on phones that have never had a sim card in them). I always have issues, they will never connect unless I start with the battery pulled, have the vendors deleted and the connections turned off. And I never use dm for anything but backing up 3rdparty apps and data
    Last edited by nah.uhh; 11-30-11 at 12:57 AM.
    11-30-11 12:53 AM
  3. Smiley88's Avatar
    thanks for the tip but no luck. When I run the Loader.exe no update available.

    I upgraded my Torch 9800 6months ago so i know the loader works but not with 7.1.
    11-30-11 02:09 AM
  4. Phill_UK's Avatar
    thanks for the tip but no luck. When I run the Loader.exe no update available.

    I upgraded my Torch 9800 6months ago so i know the loader works but not with 7.1.
    Loader works fine with 7.1

    The reason it's not showing as an update is because you still have a hidden vendor.xml file on your PC.

    Search for it, and delete it.
    11-30-11 03:57 AM
  5. Smiley88's Avatar
    sorry still no luck. I have deleted all the vendor files. after closing the loader app it creates a new vendor.xml file. argg!
    11-30-11 12:42 PM
  6. adrenachrome20's Avatar
    sorry still no luck. I have deleted all the vendor files. after closing the loader app it creates a new vendor.xml file. argg!
    Try this to delete all the vendors on your machine

    Remember : Run in administrator always when running the File.
    11-30-11 01:55 PM
  7. jeffmik's Avatar
    I've run into this before - I believe you are only able to install an OS on a data enabled handset that has been activated either on BIS or BES.
    11-30-11 03:26 PM
  8. Smiley88's Avatar
    thanks for all your help. I give up until the official release. None of the suggestions worked and i've even updated DM to 6.1. Wasting too much time already.
    11-30-11 04:18 PM
  9. Smiley88's Avatar
    Finally upgraded. the problem is I needed data service.
    12-01-11 12:01 PM
  10. swiftex's Avatar
    Finally upgraded. the problem is I needed data service.
    No data is like a day without breakfast!
    12-09-11 01:31 PM
  11. Bzflagace's Avatar
    BTW, I had the same problems, however, mine was because I hadn't yet inserted my SIM card in the new phone. It has to have a valid SIM inserted to install 7.1 with either DM or with loader.exe. Glad to hear you got it working.
    12-09-11 07:10 PM
  12. Smiley88's Avatar
    BTW, I had the same problems, however, mine was because I hadn't yet inserted my SIM card in the new phone. It has to have a valid SIM inserted to install 7.1 with either DM or with loader.exe. Glad to hear you got it working.
    Well the SIM is there and the phone is working with OS7. Just that the stupid leaked version requires DATA plan for the sim to work.
    tendotai likes this.
    12-11-11 05:16 PM
  13. tendotai's Avatar
    Definitively needs a Data service plan, and after that it will upgrade to the latest version. Thank you Guys
    09-30-13 01:22 PM
LINK TO POST COPIED TO CLIPBOARD